Import of pkgsrc-2013Q2

This commit is contained in:
2013-09-26 17:14:40 +02:00
commit 785076ae39
74991 changed files with 4380255 additions and 0 deletions
+7
View File
@@ -0,0 +1,7 @@
The Gnome Time Tracker is a to-do list/diary/journal desktop utility
tool that can track the amount of time spent on projects, and,
among other things, generate reports and invoices based on that
time. It's being used it to keep shopping lists, organize ideas,
track bug reports, keep a diary of activities, do some blogging,
provide weekly status reports to management, and even as a consultant
billing system.
+37
View File
@@ -0,0 +1,37 @@
# $NetBSD: Makefile,v 1.63 2013/06/06 12:55:07 wiz Exp $
DISTNAME= gnotime-2.3.0
PKGREVISION= 29
CATEGORIES= time gnome
MASTER_SITES= ${MASTER_SITE_SOURCEFORGE:=gttr/}
MAINTAINER= pkgsrc-users@NetBSD.org
HOMEPAGE= http://gttr.sourceforge.net/
COMMENT= Time tracker for GNOME2
GNU_CONFIGURE= yes
USE_TOOLS+= gmake intltool msgfmt pkg-config
USE_LIBTOOL= yes
USE_PKGLOCALEDIR= yes
GCONF_SCHEMAS= gnotime.schemas
MAKE_ENV+= GCONF_SCHEMAS_DIR=${GCONF_SCHEMAS_DIR:Q}
.include "../../devel/GConf/schemas.mk"
.include "../../devel/glib2/buildlink3.mk"
.include "../../devel/gettext-lib/buildlink3.mk"
.include "../../devel/libglade/buildlink3.mk"
.include "../../devel/libgnome/buildlink3.mk"
.include "../../devel/libgnomeui/buildlink3.mk"
.include "../../devel/popt/buildlink3.mk"
.include "../../devel/qof/buildlink3.mk"
.include "../../lang/guile/buildlink3.mk"
.include "../../sysutils/dbus-glib/buildlink3.mk"
.include "../../sysutils/gnome-vfs/buildlink3.mk"
.include "../../textproc/libxml2/buildlink3.mk"
.include "../../mk/omf-scrollkeeper.mk"
.include "../../www/gtkhtml314/buildlink3.mk"
.include "../../x11/libXScrnSaver/buildlink3.mk"
.include "../../mk/pthread.buildlink3.mk"
.include "../../sysutils/desktop-file-utils/desktopdb.mk"
.include "../../mk/bsd.pkg.mk"
+106
View File
@@ -0,0 +1,106 @@
@comment $NetBSD: PLIST,v 1.7 2009/06/14 18:17:58 joerg Exp $
bin/gnotime
bin/gnotime-remote
man/man1/gnotime-remote.1
man/man1/gnotime.1
share/applications/gnotime.desktop
share/gconf/schemas/gnotime.schemas
share/gnome/help/gnotime/C/figures/gtt_edit_reports_dialog.png
share/gnome/help/gnotime/C/figures/gtt_mainwin.png
share/gnome/help/gnotime/C/figures/gtt_new_project.png
share/gnome/help/gnotime/C/figures/gtt_new_report_dialog.png
share/gnome/help/gnotime/C/figures/gtt_prefs_display.png
share/gnome/help/gnotime/C/figures/gtt_prefs_fields.png
share/gnome/help/gnotime/C/figures/gtt_prefs_logfile.png
share/gnome/help/gnotime/C/figures/gtt_prefs_misc.png
share/gnome/help/gnotime/C/figures/gtt_prefs_reports.png
share/gnome/help/gnotime/C/figures/gtt_prefs_shell.png
share/gnome/help/gnotime/C/figures/gtt_prefs_toolbar.png
share/gnome/help/gnotime/C/figures/gtt_prefswin.png
share/gnome/help/gnotime/C/figures/gtt_props_intervals.png
share/gnome/help/gnotime/C/figures/gtt_props_planning.png
share/gnome/help/gnotime/C/figures/gtt_props_project.png
share/gnome/help/gnotime/C/figures/gtt_props_rates.png
share/gnome/help/gnotime/C/figures/gtt_report_activity.png
share/gnome/help/gnotime/C/figures/gtt_report_daily.png
share/gnome/help/gnotime/C/figures/gtt_report_invoice.png
share/gnome/help/gnotime/C/figures/gtt_report_journal.png
share/gnome/help/gnotime/C/figures/gtt_report_todo.png
share/gnome/help/gnotime/C/figures/gtt_restartwin.png
share/gnome/help/gnotime/C/figures/gtt_startprojwin.png
share/gnome/help/gnotime/C/gnotime.xml
share/gnotime/ghtml/C/activity.ghtml
share/gnotime/ghtml/C/basic-daily.ghtml
share/gnotime/ghtml/C/basic-invoice.ghtml
share/gnotime/ghtml/C/basic-journal.ghtml
share/gnotime/ghtml/C/basic-todo.ghtml
share/gnotime/ghtml/C/daily.ghtml
share/gnotime/ghtml/C/gnotime-logo.png
share/gnotime/ghtml/C/gtt-style.css
share/gnotime/ghtml/C/gtt.scm
share/gnotime/ghtml/C/invoice.ghtml
share/gnotime/ghtml/C/journal-rss.ghtml
share/gnotime/ghtml/C/journal.ghtml
share/gnotime/ghtml/C/monthly-daily.ghtml
share/gnotime/ghtml/C/noproject.ghtml
share/gnotime/ghtml/C/primer.ghtml
share/gnotime/ghtml/C/query.ghtml
share/gnotime/ghtml/C/status.ghtml
share/gnotime/ghtml/C/tab-delim.ghtml
share/gnotime/ghtml/C/todo-export.ghtml
share/gnotime/ghtml/C/todo.ghtml
share/gnotime/glade/active.glade
share/gnotime/glade/column_menu.glade
share/gnotime/glade/idle.glade
share/gnotime/glade/interval_edit.glade
share/gnotime/glade/interval_popup.glade
share/gnotime/glade/journal.glade
share/gnotime/glade/not-implemented.glade
share/gnotime/glade/notes.glade
share/gnotime/glade/plugin.glade
share/gnotime/glade/plugin_editor.glade
share/gnotime/glade/prefs.glade
share/gnotime/glade/project_properties.glade
share/gnotime/glade/task_popup.glade
share/gnotime/glade/task_properties.glade
share/locale/az/LC_MESSAGES/gnotime-2.0.mo
share/locale/bg/LC_MESSAGES/gnotime-2.0.mo
share/locale/ca/LC_MESSAGES/gnotime-2.0.mo
share/locale/cs/LC_MESSAGES/gnotime-2.0.mo
share/locale/da/LC_MESSAGES/gnotime-2.0.mo
share/locale/de/LC_MESSAGES/gnotime-2.0.mo
share/locale/el/LC_MESSAGES/gnotime-2.0.mo
share/locale/en_GB/LC_MESSAGES/gnotime-2.0.mo
share/locale/es/LC_MESSAGES/gnotime-2.0.mo
share/locale/et/LC_MESSAGES/gnotime-2.0.mo
share/locale/eu/LC_MESSAGES/gnotime-2.0.mo
share/locale/fi/LC_MESSAGES/gnotime-2.0.mo
share/locale/fr/LC_MESSAGES/gnotime-2.0.mo
share/locale/ga/LC_MESSAGES/gnotime-2.0.mo
share/locale/gl/LC_MESSAGES/gnotime-2.0.mo
share/locale/hu/LC_MESSAGES/gnotime-2.0.mo
share/locale/it/LC_MESSAGES/gnotime-2.0.mo
share/locale/ja/LC_MESSAGES/gnotime-2.0.mo
share/locale/ko/LC_MESSAGES/gnotime-2.0.mo
share/locale/lt/LC_MESSAGES/gnotime-2.0.mo
share/locale/lv/LC_MESSAGES/gnotime-2.0.mo
share/locale/ms/LC_MESSAGES/gnotime-2.0.mo
share/locale/nb/LC_MESSAGES/gnotime-2.0.mo
share/locale/nl/LC_MESSAGES/gnotime-2.0.mo
share/locale/nn/LC_MESSAGES/gnotime-2.0.mo
share/locale/pl/LC_MESSAGES/gnotime-2.0.mo
share/locale/pt/LC_MESSAGES/gnotime-2.0.mo
share/locale/pt_BR/LC_MESSAGES/gnotime-2.0.mo
share/locale/ro/LC_MESSAGES/gnotime-2.0.mo
share/locale/ru/LC_MESSAGES/gnotime-2.0.mo
share/locale/sk/LC_MESSAGES/gnotime-2.0.mo
share/locale/sl/LC_MESSAGES/gnotime-2.0.mo
share/locale/sv/LC_MESSAGES/gnotime-2.0.mo
share/locale/ta/LC_MESSAGES/gnotime-2.0.mo
share/locale/tr/LC_MESSAGES/gnotime-2.0.mo
share/locale/uk/LC_MESSAGES/gnotime-2.0.mo
share/locale/vi/LC_MESSAGES/gnotime-2.0.mo
share/locale/wa/LC_MESSAGES/gnotime-2.0.mo
share/locale/zh_CN/LC_MESSAGES/gnotime-2.0.mo
share/locale/zh_TW/LC_MESSAGES/gnotime-2.0.mo
share/omf/gnotime/gnotime-C.omf
+7
View File
@@ -0,0 +1,7 @@
$NetBSD: distinfo,v 1.10 2009/12/21 19:55:01 joerg Exp $
SHA1 (gnotime-2.3.0.tar.gz) = 1cd38b5a3d3548d19543f0aea421152367523a90
RMD160 (gnotime-2.3.0.tar.gz) = 361e45d82997cbac691751b830a2279e6ed74134
Size (gnotime-2.3.0.tar.gz) = 1987788 bytes
SHA1 (patch-aa) = 48add73db83f4bee002c12833fd756b0eaef7eec
SHA1 (patch-ab) = c78194b5eb8caef9d118246c0da1c923a32a2e8c
+58
View File
@@ -0,0 +1,58 @@
$NetBSD: patch-aa,v 1.5 2009/12/21 19:55:01 joerg Exp $
Makefiles use LIBGNOMEUI_CFLAGS etc, so make sure that the values are
added to the right variable.
--- configure.orig 2009-12-21 19:47:53.000000000 +0000
+++ configure
@@ -24931,8 +24931,8 @@ pkg_failed=no
echo $ECHO_N "checking for GNOMEUI... $ECHO_C" >&6; }
if test -n "$PKG_CONFIG"; then
- if test -n "$GNOMEUI_CFLAGS"; then
- pkg_cv_GNOMEUI_CFLAGS="$GNOMEUI_CFLAGS"
+ if test -n "$LIBGNOMEUI_CFLAGS"; then
+ pkg_cv_LIBGNOMEUI_CFLAGS="$LIBGNOMEUI_CFLAGS"
else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libgnomeui-2.0 >= \$LIBGNOMEUI_REQUIRED\"") >&5
@@ -24940,7 +24940,7 @@ if test -n "$PKG_CONFIG"; then
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; then
- pkg_cv_GNOMEUI_CFLAGS=`$PKG_CONFIG --cflags "libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED" 2>/dev/null`
+ pkg_cv_LIBGNOMEUI_CFLAGS=`$PKG_CONFIG --cflags "libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED" 2>/dev/null`
else
pkg_failed=yes
fi
@@ -24949,8 +24949,8 @@ else
pkg_failed=untried
fi
if test -n "$PKG_CONFIG"; then
- if test -n "$GNOMEUI_LIBS"; then
- pkg_cv_GNOMEUI_LIBS="$GNOMEUI_LIBS"
+ if test -n "$LIBGNOMEUI_LIBS"; then
+ pkg_cv_LIBGNOMEUI_LIBS="$LIBGNOMEUI_LIBS"
else
if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libgnomeui-2.0 >= \$LIBGNOMEUI_REQUIRED\"") >&5
@@ -24958,7 +24958,7 @@ if test -n "$PKG_CONFIG"; then
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; then
- pkg_cv_GNOMEUI_LIBS=`$PKG_CONFIG --libs "libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED" 2>/dev/null`
+ pkg_cv_LIBGNOMEUI_LIBS=`$PKG_CONFIG --libs "libgnomeui-2.0 >= $LIBGNOMEUI_REQUIRED" 2>/dev/null`
else
pkg_failed=yes
fi
@@ -25030,8 +25030,8 @@ To get pkg-config, see <http://pkg-confi
See \`config.log' for more details." >&2;}
{ (exit 1); exit 1; }; }
else
- GNOMEUI_CFLAGS=$pkg_cv_GNOMEUI_CFLAGS
- GNOMEUI_LIBS=$pkg_cv_GNOMEUI_LIBS
+ LIBGNOMEUI_CFLAGS=$pkg_cv_LIBGNOMEUI_CFLAGS
+ LIBGNOMEUI_LIBS=$pkg_cv_LIBGNOMEUI_LIBS
{ echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6; }
:
+13
View File
@@ -0,0 +1,13 @@
$NetBSD: patch-ab,v 1.2 2008/10/28 23:38:33 wiz Exp $
--- gconf/Makefile.in.orig 2008-02-15 20:11:59.000000000 +0000
+++ gconf/Makefile.in
@@ -259,7 +259,7 @@ top_srcdir = @top_srcdir@
EXTRA_DIST = \
gnotime.schemas.in
-schemasdir = $(sysconfdir)/gconf/schemas
+schemasdir = $(GCONF_SCHEMAS_DIR)
schemas_in_files = gnotime.schemas.in
schemas_DATA = gnotime.schemas
all: all-am